# Akamai\Open\EdgeGrid\Handler\Verbose::__invoke

#### Handle the request/response

## Signature

`public function __invoke(callable $handler )`

## Parameters

`$handler` — Akamai\Open\EdgeGrid\Handler\callable

## Returns

Closure

## Test Coverage

### Information

- Coverage: 24/24 Lines (100%)
- Tests: 14
- Passed: 14 (100%)

### Tests

- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\VerboseTest::testInstanceVerboseSingle
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\VerboseTest::testInstanceVerboseMultiple
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\VerboseTest::testStaticVerboseSingle
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\VerboseTest::testStaticVerboseMultiple
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\VerboseTest::testVerboseRedirect
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\VerboseTest::testVerboseNonJson
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\VerboseTest::testVerboseRequestHandler
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\VerboseTest::testVerboseNoResponse
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\VerboseTest::testVerboseError
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\VerboseTest::testVerboseErrorNonJson
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\VerboseTest::testVerboseMixed
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\VerboseTest::testVerboseResponseExceptionNoCode
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\VerboseTest::testVerboseResponseExceptionWithCode
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\VerboseTest::testVerboseResponseExceptionWithBody